Page 3 of 4 FirstFirst 1234 LastLast
Results 21 to 30 of 34

Thread: neXt RC Simulator for Linux

  1. #21
    Join Date
    Aug 2013
    Beans
    2,863

    Re: neXt RC Simulator for Linux

    Quote Originally Posted by rnsd View Post
    I'm not sure about mesa and opengl. How do I check?

    .
    in the terminal

    Code:
    sudo apt-get install mesa-utils
    glxinfo | grep OpenGL

  2. #22
    Join Date
    Jan 2014
    Beans
    15

    Re: neXt RC Simulator for Linux

    Quote Originally Posted by monkeybrain20122 View Post
    in the terminal

    Code:
    sudo apt-get install mesa-utils
    glxinfo | grep OpenGL

    Its says mesa was already installed and the glxinfo command yielded no results.

  3. #23
    Join Date
    Jan 2014
    Beans
    15

    Re: neXt RC Simulator for Linux

    With the readelf -d command I found the needed library's but how do I get them. Maybe I already have them but the program can't find them?

    guest1@guest1-desktop:~/downloads/neXtlinux/Linux64$ readelf -d neXt.x86_64

    Dynamic section at offset 0x1180740 contains 32 entries:
    Tag Type Name/Value
    0x0000000000000001 (NEEDED) Shared library: [libGLU.so.1]
    0x0000000000000001 (NEEDED) Shared library: [libGL.so.1]
    0x0000000000000001 (NEEDED) Shared library: [libX11.so.6]
    0x0000000000000001 (NEEDED) Shared library: [libXext.so.6]
    0x0000000000000001 (NEEDED) Shared library: [libXcursor.so.1]
    0x0000000000000001 (NEEDED) Shared library: [libdl.so.2]
    0x0000000000000001 (NEEDED) Shared library: [libpthread.so.0]
    0x0000000000000001 (NEEDED) Shared library: [librt.so.1]
    0x0000000000000001 (NEEDED) Shared library: [libm.so.6]
    0x0000000000000001 (NEEDED) Shared library: [libgcc_s.so.1]
    0x0000000000000001 (NEEDED) Shared library: [libc.so.6]
    0x0000000000000001 (NEEDED) Shared library: [ld-linux-x86-64.so.2]
    0x000000000000000c (INIT) 0x449b50
    0x000000000000000d (FINI) 0x128e948
    0x0000000000000004 (HASH) 0x4002d0
    0x000000006ffffef5 (GNU_HASH) 0x405a60
    0x0000000000000005 (STRTAB) 0x420748
    0x0000000000000006 (SYMTAB) 0x40ba90
    0x000000000000000a (STRSZ) 137785 (bytes)
    0x000000000000000b (SYMENT) 24 (bytes)
    0x0000000000000015 (DEBUG) 0x0
    0x0000000000000003 (PLTGOT) 0x1781fe8
    0x0000000000000002 (PLTRELSZ) 11544 (bytes)
    0x0000000000000014 (PLTREL) RELA
    0x0000000000000017 (JMPREL) 0x446e38
    0x0000000000000007 (RELA) 0x443eb0
    0x0000000000000008 (RELASZ) 12168 (bytes)
    0x0000000000000009 (RELAENT) 24 (bytes)
    0x000000006ffffffe (VERNEED) 0x443d40
    0x000000006fffffff (VERNEEDNUM) 7
    0x000000006ffffff0 (VERSYM) 0x442182
    0x0000000000000000 (NULL) 0x0

  4. #24
    Join Date
    Aug 2013
    Beans
    2,863

    Re: neXt RC Simulator for Linux

    I think most of these should already be installed. But anyway, you can install them using synaptic. For examples, search libglu and it returns something like libglu-mesa, search libx11 returns libx11-6, libxext returns libxext6 etc Just mark those for installation and then install them.

    If you don't have synaptic, install it with
    sudo apt-get install synaptic

    Edited: wait a minute, something is not right. From the output of ldd of your previous post those libs are already installed.
    Last edited by monkeybrain20122; January 5th, 2014 at 02:53 AM.

  5. #25
    Join Date
    Jan 2014
    Beans
    15

    Re: neXt RC Simulator for Linux

    I found a few of them in synaptic but was going to have to unload all the compiz-fusion plugins, adacity, gnoeme desktop and a few other things so I didnt get it.

  6. #26
    Join Date
    Aug 2013
    Beans
    2,863

    Re: neXt RC Simulator for Linux

    Quote Originally Posted by rnsd View Post
    I found a few of them in synaptic but was going to have to unload all the compiz-fusion plugins, adacity, gnoeme desktop and a few other things so I didnt get it.
    That is crazy. What release of Ubuntu? How did you install it?

  7. #27
    Join Date
    Jan 2014
    Beans
    15

    Re: neXt RC Simulator for Linux

    Quote Originally Posted by monkeybrain20122 View Post
    That is crazy. What release of Ubuntu? How did you install it?
    Im running Ubuntu 10.04 with all updates. Installed it from CD 2 or 3 years ago. My first Ubuntu was 8.10 been loving it ever since with the exception of programs not running occasionally. I guess If I were a Linux Guru I could fix it .

  8. #28
    Join Date
    Aug 2013
    Beans
    2,863

    Re: neXt RC Simulator for Linux

    Quote Originally Posted by rnsd View Post
    Im running Ubuntu 10.04 with all updates. Installed it from CD 2 or 3 years ago. My first Ubuntu was 8.10 been loving it ever since with the exception of programs not running occasionally. I guess If I were a Linux Guru I could fix it .
    Well that is most likely the source of your problems 10.04 has been dead since last April and even if it hasn't expired all of its libraries are very old. Please backup your data a do a fresh install of a currently supported Ubuntu release. 12.04 is the LTS, 13.10 is the latest, you can forget about 13.04(end of life in 2 weeks) and 12.10(end of life April)
    Last edited by monkeybrain20122; January 7th, 2014 at 09:48 PM.

  9. #29
    Join Date
    Jul 2012
    Beans
    474
    Distro
    Ubuntu 15.04 Vivid Vervet

    Re: neXt RC Simulator for Linux

    I use Nvidia but I guess for Intel it's best to use the very latest...check Phoronix.

  10. #30
    Join Date
    Aug 2005
    Beans
    6,028

    Re: neXt RC Simulator for Linux

    Quote Originally Posted by rnsd View Post
    Im running Ubuntu 10.04 with all updates.
    Wish you had mentioned that earlier.

Page 3 of 4 FirstFirst 1234 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •